Subject: B19: reading from a pipe
From: [email-masked] (Guenther Mayerhoffer)

15 Apr 1998 13:12:25 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi,

I suppose there is a bug in your bash. When I enter the following
command

    echo "string" | read variable; echo $variable

there is no output. However it works under the UNIX shell scripts and
that is what I expect. It seems your bash applies the pipe statements as
own process (with own stack). The alternative command
    echo "string" | ( read variable; echo $variable )
operates very well but this would force me to change already written
UNIX shell scripts.

What can I do ?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".